Release Steps
=============

1. Review changelog
-------------------

I always use the top changelog link on [coffeelint.org][changelog] and change it
to point to `compare/vx.x.x...master`. Look through the pull request to figure
out whether this is a minor or patch release.

2. Tag
------

CoffeeLint follows [semver](http://semver.org/). When a new rule is added even
if it's off by default, it's at least a minor release. There are some things
marked deprecated. If we ever have a need for a 2.0 I'll remove those at that
time.

    npm version <major|minor|patch>

3. Write changelog
------------------

    git checkout gh-pages

The changelog is in `index-bottom.html`. Update it based on the PRs found in
step 1. I don't always mention every PR. Many internal changes like updates to
Travis don't matter to users of CoffeeLint, so I leave them out.

This next step is going to end up checkout out master, so I'll usually commit
the changelog updates and then I'll run `git commit --amend` after the next step.

4. Update `gh-page`'s coffeelint
--------------------------------



    rake update

I've never rewritten how this gets generated. Because it needs to pull a
compiled version of CoffeeLint from master, `rake update` gives you a set of
commands to copy and paste.



[changelog]: http://www.coffeelint.org/#changelog
[review]: https://github.com/clutchski/coffeelint/compare/v1.8.1...master
